#
# spec file for package asunder
#
# Copyright (c) 2018 Packman Team <packman@links2linux.de>
# Copyright (c) 2009-2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2005-2009 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           asunder
Version:        2.9.3
Release:        pm152.1.6
Summary:        Graphical CD Ripper and Encoder
License:        GPL-2.0+
Group:          Productivity/Multimedia/CD/Grabbers
URL:            http://littlesvr.ca/asunder/
Source:         http://littlesvr.ca/asunder/releases/%{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gtk2-devel >= 2.4
BuildRequires:  intltool
BuildRequires:  libcddb-devel >= 0.9.5
BuildRequires:  libtool
BuildRequires:  update-desktop-files
Requires:       cdparanoia
Requires:       flac
Requires:       lame
Requires:       mac
Requires:       vorbis-tools
Requires:       wavpack

%description
Asunder is a graphical CD ripper and encoder.

Asunder is a graphical Audio CD ripper and encoder for Linux.

You can use it to save tracks from an Audio CD as any of WAV, MP3,
OGG, FLAC, WavPack, Musepack, AAC, and Monkey's Audio files.

Features
* Can save audio tracks as WAV, MP3, Ogg Vorbis, FLAC, Wavpack,
  Musepack, AAC, and Monkey's audio files
* Uses CDDB to name and tag each track
* Creates M3U playlists
* Can encode to multiple formats in one session
* Simultaneous rip and encode
* Allows for each track to be by a different artist
* Does not require a specific desktop environment

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing

%find_lang %{name}

%files lang -f %{name}.lang

%files
%license COPYING
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Oct 11 2018 Luigi Baldoni <aloisio@gmx.com>
- Update to version 2.9.3
  The following was contributed by Gregory Margo:
  * Allow changing the first track number and the width of the
    track number in the filename, making it easier to work with
    audiobooks and other multi-disk sets.
  The following was contributed by Jonathan 'theJPster' Pallant:
  * Use FDK-AAC instead of neroAacEnc.
  version 2.9.2
  * Updates Swedish translation.
  The following fixes were contributed by Gregory Margo:
  * Fixed the wavpack and mpc encoders to include APEv2 metadata.
  * Remove 'single genre' code that's been unused since 2010.
  * Added features to automatically fix some common mistakes in
    CDDB entries.
  The following fix was contributed by Andreas Ronnquist:
  * Fixed a bug where the config file couldn't be created
    because its parent directory could not be created because it
    existed already and was a regular file.
  version 2.9.1
  * Fixed a bug that caused a startup crash in some environments
    (reported in Arch Linux).
  The following fix was contributed by Gregory Margo:
  * Shorten requested filenames that are longer than the
    filesystem can handle.
  version 2.9
  The following fixes were contributed by Gregory Margo:
  * Work around cdparanoia's filename length limits
  * Fixed bug where multiple CDDB entries would only show once
  * Improved the refresh/lookup system to work much better with
    more complicated CDs
  * Fixed FLAC progress scanner. Both to make the percentage
    more reliable and to prevent a possible crash
  * Added feature to select/deselect all tracks by clicking on
    rip checkbox header
  * Fixed autocomplete file loading
  * Fixed several potential buffer overflow bugs
  * Fixed some minor memory leaks
  * Fixed race condition during abort
  * Improved completion percentage feedback
  * Added feature to make the artist and title columns resizable
    The following fixes were contributed by Andreas Ronnquist:
  * Moved the config file to ~/.config/asunder without breaking
    old configs
  * Moved the autocomplete files to ~/.cache/asunder without
    breaking old caches
  The following fix was contributed by Pierre Lestringant (whz):
  * Fixed musepack and aac playlist generation
  The following fix was contributed by Matthew (mw):
  * Add the ALBUMARTIST tag to flac files when "Single artist"
    is not checked.
  The following fix was contributed by Antony Gelberg:
  * Fixed when the CD is ejected to avoid problems before a full
    rip/encode cycle is completed.
  version 2.8.1
  * Updated Catalan, Dutch, Hungarian, Norwegian Bokmal, Polish,
    and Turkish translations.
* Sat Nov 21 2015 aloisio@gmx.com
- Update to 2.8
  * Updates to Sweedish, Norwegian, Russian, and Danish
    translations.
  * Fixed a couple of (unlikely) memory corruption bugs and
    some minor memory leaks.
- Clean up specfile
* Sat Jun 20 2015 aloisio@gmx.com
- Update to 2.7
  * Added an option (enabled by default) to rip much faster.
* Sun Jan 25 2015 aloisio@gmx.com
- update to 2.6:
  * Added 64 translations generated by the OSTD ( http://littlesvr.ca/ostd ):
    Afrikaans, Amharic, Aragonese, Assamese, Azerbaijani, Belarusian, Bengali,
    Breton, Welsh, Dzongkha, Persian, Fulah, Faroese, Western, Irish, Gujarati,
    Hindi, Haitian, Armenian, Interlingua, Indonesian, Icelandic, Georgian,
    Kazakh, Centra, Korean, Kurdish, Kirghiz, Latin, Luxembourgish, Ganda,
    Lithuanian, Malagasy, Macedonian, Malayalam, Mongolian, Marathi, Malay,
    Burmese, Nepali, Occitan, Oriya, Panjabi, Pushto, Romanian, Kinyarwanda,
    Sinhala, Tamil, Telugu, Thai, Turkmen, Tagalog, Tatar, Uighur, Ukrainian,
    Urdu, Uzbek, Uzbek (Cyrillic), Vietnamese, Walloon, Wolof, Xhosa, Yiddish,
    and Zulu
  * Updated Simplified Chinese, Czeck, Italian, and Norwegean translations.
  version 2.5:
  * Fixed two major bugs that caused Asunder to hang while ripping.
  * Fixed a bug where the CDDB info from a removed disk still showed up in a
    newly inserted disk.
  * Added NetBSD support.
  * Now logging to /var/log/asunder.log via syslog-ng instead of
    /tmp/asunder.log
  * Updated German and Spanish translations.
  version 2.4:
  * Added Bengali, Traditional Chinese translations.
  * Updated Hungarian, Italian translations.
  * Fixed the eject functionality to be more reliable.
  * Added support for XDG_CACHE_HOME
  * Fixed some memory corruption bugs that may have caused crashes
    and undefined behaviour.
  version 2.3:
  * Can now encode into OPUS.
  * Allow metadata to contain invalid filesystem characters (e.g. "Artist"
    can contain punctuation like "J. S. Bach").
  * AAC files are now tagged using neroAacTag (instead of no tags at all).
  * Dots are now allowed in filenames.
  * Added the application to the list of apps for audio CDs in Gnome.
  * Updated Bulgarian, Czeck, Finnish, French, Portuguese, Spanish, and
    Sweedish translations.
  * Added Galician translation.
- added a fix for SLE11
* Tue May 22 2012 seife+obs@b1-systems.com
- remove obsolete %%suse_update_config to fix build on > 12.1
* Sun Feb 26 2012 pascal.bleser@opensuse.org
- update to 2.2:
  * adds Esperanto and Bosnian translations, updates the Slovak, Italian,
    Portuguese, and Japanese translations
  * write only ID3v2 tags (no more ID3v1 ones)
  * support XDG_CONFIG_HOME
  * support using Genere in filenames
* Tue Jan  4 2011 pascal.bleser@opensuse.org
- update to 2.1:
  * Basque and Urdu translations were added
  * a crash at startup that happened on some systems was fixed
  * a bug where the selected destination folder was lost when the prefs window is open was fixed
  * some tooltips were fixed
  * system umask is now obeyed when creating directories
  * the year for file/directory names and tags is now editable
  * -Y and -Z options are no longer passed to cdparanoia, for better quality rips
* Sat Jul 17 2010 pascal@links2linux.de
- update to 2.0:
  * a Croatian translation was added
  * the Spanish, Hungarian, Portuguese, and Portuguese (Brasil) translations were updated
  * fixes a bug where AAC files were always encoded at lowest quality despite UI selection
* Mon Apr 19 2010 pascal@links2linux.de
- update to 1.9.3:
  * updated Russian and Hungarian translations
  * a bug has been fixed that was introduced in 1.9.2: the Ogg title was switched with the year and some memory was getting corrupted
* Sat Apr 17 2010 pascal@links2linux.de
- update to 1.9.2:
  * a Danish translation was added
  * the Brazilian Portuguese translation was updated
  * a bug that caused a freeze on some systems was fixed along with some usability problems
* Thu Dec 10 2009 toni@links2linux.de
- update to 1.9.1
- split off lang-subpackage
- A Turkish translation
- support for the year in filename format strings
- small usability fix
* Mon Oct 19 2009 toni@links2linux.de
- update to 1.9
- This release adds Arabic, Slovenian, Latvian, and Slovak translations.
- It adds Musepack support, AAC support with the Nero encoder, and
  Monkey's Audio support.
- The CDDB server and port are user-configurable.
- There are some minor usability fixes.
* Sun Nov 30 2008 toni@links2linux.de
- update to 1.6.2
* Mon Sep 15 2008 toni@links2linux.de
- update to 1.6.1
* Sun Jun 29 2008 toni@links2linux.de
- update to 1.6
* Sun Apr 27 2008 toni@links2linux.de
- update to 1.5
* Sun Feb  3 2008 toni@links2linux.de
- update to 1.0.2
* Tue Dec 18 2007 toni@links2linux.de
- update to 1.0
* Sat Oct  6 2007 toni@links2linux.de
- update to 0.9
* Mon Aug 27 2007 toni@links2linux.de
- update to 0.8.1
* Sat Aug 25 2007 toni@links2linux.de
- update to 0.8
* Thu Aug 16 2007 toni@links2linux.de
- update to 0.8b
- new URL
- renamed package to asunder
* Sat Sep 16 2006 toni@links2linux.de
- rebuild for packman
* Fri Sep  8 2006 oc2pus@arcor.de 0.1.0-0.oc2pus.5
- rebuild for SuSE-10.1, added sample config file asunder.conf
* Thu Nov 17 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.4
- rebuild for SuSE-10
* Sun Jul 31 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.3
- compile on SuSE-9.3
- strip binary
* Fri Mar 18 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.2
- added german description/summary
- added menuentry and icon
* Fri Feb 11 2005 oc2pus@arcor.de 0.1.0-0.oc2pus.1
- initial release of rpm
